"use client";
import { ChangeEvent, ReactEventHandler, useState } from "react";
import { Input } from "~/components/ui/input";
import useFilterStore from "../store";

export default function SearchBar() {
  const [query, setQuery] = useState("");
  const setStoreSearchQuery = useFilterStore((state) => state.setSearchQuery);
  const { searchQuery } = useFilterStore((state) => state.filters);

  function handleInput(e: ChangeEvent<HTMLInputElement>) {
    e.preventDefault();
    const newValue = e.target.value;
    setQuery(newValue);
    setStoreSearchQuery(newValue);
  }
  return (
    <Input
      value={searchQuery}
      onInput={handleInput}
      className="mx-auto max-w-xl focus-visible:ring-0"
    />
  );
}
