"use server";
import { db } from "~/server/db";
import WineName from "./WineName";

export default async function WineList() {
  const wines = await db.query.wines.findMany();
  return (
    <div className="pt-4">
      <h1 className="text-2xl">All wines:</h1>
      {wines && wines.length > 0 ? (
        <>
          <ul>
            {wines.map((wine) => (
              <WineName key={wine.id} name={wine.name} />
            ))}
          </ul>
        </>
      ) : (
        <p>There are no wines in the db.</p>
      )}
    </div>
  );
}
