import { revalidatePath } from "next/cache";
import { Button } from "~/components/ui/button";
import { Input } from "~/components/ui/input";
import { db } from "~/server/db";
import { countries } from "~/server/db/schema";

type NewCountry = {
  name: string;
};

export default async function CreateCountryForm() {
  const addCountry = async (formData: FormData) => {
    "use server";
    const newCountry: NewCountry = {
      name: formData.get("name") as string,
    };
    await db.insert(countries).values(newCountry).returning();
    revalidatePath("/");
  };
  return (
    <form action={addCountry}>
      <Input name="name" required />
      <Button>Add country</Button>
    </form>
  );
}
